<?php

namespace App\Classes\Modules\Announcements\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class AnnouncementObject implements DataTransferObject
{

    /** @var string */
    private $title;

    /** @var string */
    private $description;

    /** @var string */
    private $starting_on;

    /** @var string */
    private $ending_on;


    /**
     * AnnouncementObject constructor.
     * @param string $title
     * @param string $description
     * @param string $start_date
     * @param string $end_date
     */

    public function __construct(string $title, string $description, string $starting_on, string $ending_on)
    {
        $this->title = $title;
        $this->description = $description;
        $this->starting_on = $starting_on;
        $this->ending_on = $ending_on;
    }

    /**
     * @return string
     */
    public function getTitle(): string
    {
        return $this->title;
    }

    /**
     * @return string
     */
    public function getDescription(): string
    {
        return $this->description;
    }

    /**
     * @return string
     */
    public function getStartingOn(): string
    {
        return $this->starting_on;
    }

    /**
     * @return string
     */
    public function getEndingOn(): string
    {
        return $this->ending_on;
    }
}
